# Class ELNode.Nodes

java.lang.Object
org.apache.jasper.compiler.ELNode.Nodes

Enclosing class:
  `ELNode`

public static class ELNode.Nodes extends Object
An ordered list of ELNode.

Author:
  Kin-man Chung

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ELNode en)`
  `boolean`
  `containsEL()`
  `String`
  `getMapName()`
  `boolean`
  `isEmpty()`
  `Iterator<ELNode>`
  `iterator()`
  `void`
  `setMapName(String name)`
  `void`
  `visit(ELNode.Visitor v)`
  Visit the nodes in the list with the supplied visitor.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### add

    public void add(ELNode en)

  - ### visit

    public void visit(ELNode.Visitor v) throws JasperException
    Visit the nodes in the list with the supplied visitor.
    Parameters:
      `v` - The visitor used
    Throws:
      `JasperException` - if an error occurs while visiting a node

  - ### iterator

    public Iterator<ELNode> iterator()

  - ### isEmpty

    public boolean isEmpty()

  - ### containsEL

    public boolean containsEL()
    Returns:
      true if the expression contains a ${...}

  - ### setMapName

    public void setMapName(String name)

  - ### getMapName

    public String getMapName()